### Method

# Gimp PlugIn set_help_domain

since: 3.0

#### Declaration [src]

    void
    gimp_plug_in_set_help_domain (
      GimpPlugIn* plug_in,
      const gchar* domain_name,
      GFile* domain_uri
    )

#### Description [src]

Set a help domain and path for the `plug_in`.

This function registers user documentation for the calling plug-in with the GIMP help system. The `domain_uri` parameter points to the root directory where the plug-in help is installed. For each supported language there should be a file called ‘gimp-help.xml’ that maps the help IDs to the actual help files.

This function can only be called in the `Gimp.PlugInClass.query_procedures` function of a plug-in.

Available since: 3.0

#### Parameters

`domain_name`

  Type: `const gchar*`

  The XML namespace of the plug-in’s help pages.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`domain_uri`

  Type: `GFile`

  The root URI of the plug-in’s help pages.

  The data is owned by the caller of the method.